package com.xxxxxxx.drvpp.biz.web.xyz.business;

import org.apache.ibatis.session.SqlSession;

import com.xxxxxxx.drvpp.biz.web.xyz.domain.Pet;
import com.xxxxxxx.drvpp.fw.common.log.Logger;
import com.xxxxxxx.drvpp.fw.common.log.LoggerFactory;
import com.xxxxxxx.drvpp.fw.common.log.LoggerFactoryBuilder;
import com.xxxxxxx.drvpp.fw.web.util.Business;
import com.xxxxxxx.drvpp.fw.web.util.WebParameter;

/*
 * 実装するロジックの種類
 * ・ログイン済みであるかのチェック
 * ・時間外チェック
 */
public class PreBusinessA implements Business<WebParameter> {
	public int doExecute(WebParameter parameter) {
    	LoggerFactoryBuilder loggerFactoryBuilder = LoggerFactoryBuilder.getInstance();
    	LoggerFactory loggerFactory = loggerFactoryBuilder.getLoggerFactory();
    	Logger log = loggerFactory.getLogger(this.getClass());
		log.info(this.getClass().getSimpleName());

		SqlSession sqlSession = parameter.getSqlSession();
		// パラメータが1 つのバインディング
		Pet pet = sqlSession.selectOne("com.xxxxxxx.drvpp.biz.web.xyz.dao.PetMapper.selectPet", 1);
		if (pet != null) {
			System.out.println(pet.getPetName());
		}
		return 0;
	}

}
