package com.sample;

import mockit.Mocked;
import mockit.NonStrictExpectations;

import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;

import com.xxxxxxx.drvpp.fw.common.log.Logger;
import com.xxxxxxx.drvpp.fw.common.log.LoggerFactory;
import com.xxxxxxx.drvpp.fw.common.mybatis.MyBatisSessionFactory;
import com.xxxxxxx.drvpp.fw.common.util.BeanFactoryBuilder;

public class Main2Test {
	@BeforeClass
	public static void setUpBeforeClass(){
		//BeanFactoryBuilder.setApplicationContext("testApplicationContext.xml");
		//MyBatisSessionFactory.setResourceName("testMybatis.xml");	
		SampleBeanFactoryBuilder.setApplicationContext("testApplicationContext.xml");
	}

	@Test
	public void testDoExecute001() {
		new NonStrictExpectations() {
			@Mocked
			Main main;
			{
				main.doExecute();
				result = 1;
			}
		};

		Main m = new Main();
		int result = m.doExecute();

		Assert.assertEquals(1, result);
	}
}
